package com.sdforce.ws;


/**
 * 接口连接配置信息
 * @author 7DForceA1
 *
 */
public class WSConnConf {
	
	public static String host=null;  //决策引擎服务器IP地址
	public static int port=8080;               //服务器端口号
	
	public static String orgId=null;  //根据实际的机构ID设置。在决策引擎服务器--》系统管理--》机构管理中，可查看到机构ID。
	public static String userId=null; //使用实际机构下的接口对接账号

	public static String passEncoded=null; //对密码进行加密处理
	
	public static String strategyId;
	public static String urlStr=null;
			
	/** 
	 * 得到接口连接配置信息：
	 * 如果有多个策略，可创建多个方法，设置不同的策略名称
	 * @return
	 */
	public static WSConnConf getConnConfIF(){
		WSConnConf connConf=new WSConnConf();
		
		host="39.107.119.1";  //决策引擎服务器IP地址
		port=8080;               //服务器端口号
		
		orgId="9999999";  //根据实际的机构ID设置。在决策引擎服务器--》系统管理--》机构管理中，可查看到机构ID。
		userId="apiuser"; //使用实际机构下的接口对接账号
		
		passEncoded="7c222fb2927d828af22f592134e8932480637c0d"; //加密后的用户密码
				
		urlStr="http://"+host+":"+port + "/wsserver/webservice/decision";
		
		strategyId="interfaceTest";  //策略英文名	 	
		
		return connConf;
	}
	
	/** 
	 * 得到接口连接配置信息：
	 * 如果有多个策略，可创建多个方法，设置不同的策略名称
	 * @return
	 */
	public static WSConnConf getConnConfDemo(){
		WSConnConf connConf=new WSConnConf();
		
		host="39.107.119.1";  //决策引擎服务器IP地址
		port=8080;               //服务器端口号
		
		orgId="9999999";  //根据实际的机构ID设置。在决策引擎服务器--》系统管理--》机构管理中，可查看到机构ID。
		userId="apiuser"; //使用实际机构下的接口对接账号
		passEncoded="7c222fb2927d828af22f592134e8932480637c0d"; //加密后的用户密码
		
		urlStr="http://"+host+":"+port + "/wsserver/webservice/decision";
		
		strategyId="Demo";  //策略英文名	 	
		
		return connConf;
	}

	@Override
	public String toString() {
		return "WSConnConf [host=" + host + ", port=" + port + ", orgId=" + orgId + ", strategyId=" + strategyId 
				+  ", userId=" + userId	+ ", passEncoded=" + passEncoded +", urlStr="
				+ urlStr + "]";
	}
		
}
